CAD Forums > Vertically Challenged

Find pipe structure in plan from profile view

(1/1)

entget:
I have a pipe structure in profile I want to reference to a different surface ...by selecting the structure in profile, selecting the desired surface in profile - instead of select structure, right click, structure properties, reference surface, pick ellipsis, pick other surface, select ok, select ok

...what I think I need to do is select the structure in profile, get the source objects name and change the surface there (the 'plan' view of it)

I am stuck after selecting the profile structure - is the GetModelNetworkPart method what I need? ...or am I chasing the unobtainable?

Thanks!

Jeff_M:
Yes, that is the method to use.

BlackBox:

--- Code - Lisp: ---(vl-load-com) (defun c:SsPartsInPlan (/ *error* parts ss)   (defun *error* (msg)    (if ss (vla-delete ss))    (cond ((not msg))                                                   ; Normal exit          ((member msg '("Function cancelled" "quit / exit abort")))    ; <esc> or (quit)          ((princ (strcat "\n** Error: " msg " ** ")))                  ; Fatal error, display it    )    (princ)  )   (if (ssget "_:L" '((0 . "AECC_GRAPH_PROFILE_NETWORK_PART")))    (progn      (setq parts (ssadd))      (vlax-for x (setq ss (vla-get-activeselectionset                             (vla-get-activedocument                               (vlax-get-acad-object)                             )                           )                  )        (setq parts (ssadd                      (vlax-vla-object->ename                        (vlax-invoke x 'getmodelnetworkpart)                      )                      parts                    )        )      )      (sssetfirst nil parts)    )  )  (*error* nil)) 

entget:
thank you both! ...it seems the more i program, the fewer the resources or examples are available for what i'm after - appreciate the help very much!! the swamp never fails!!

Navigation

[0] Message Index

Go to full version